Subject: Re: [RFC/PATCH] remove unneeded check in bcm43xx

From: Michael Buesch <[email-masked]>
Date: Mon, 10 Apr 2006 06:07:32 +0200

On Monday 10 April 2006 06:01, you wrote:
> Since the driver already sets the correct dma_mask, there is no reason
> to bail there. In fact if you have an iommu, I think you can have a
> address above 1G which will be ok for the device (if it isn't true then
> the powerpc dma_alloc_coherent with iommu needs to be fixed because it
> doesn't respect the the dma_mask).
> 
> Please comment or apply.

NACK. Don't apply that patch.
I know it is odd, but people are actually hitting these messages.
Maybe benh can explain the issues. I don't know...

-- 
Greetings Michael.